<!-- ////////////////////// START-CALENDAR   ////////////////////////////// -->
<style>
    .has-error .bootstrap-select .dropdown-toggle, .error .bootstrap-select .dropdown-toggle{border-color:#b94a48 !important}
</style>


<div class="card">

    <div class="card-header">
        <h2>Calendario de Actividades </h2>
    </div>

    <div class="card-header">
        <div class="form-group">
            <div class="fg-line">
                <select class="selectpicker bs-select-hidden" data-live-search="true" id="op_client_id" name="op_client_id" required>
                    <option>USUARIO...</option>
                    {% for user in users %}
                        <option value="{{user.user_id}}" {%if user.user_id == me%} selected {%endif%}>
                            {{user.user_name}} {{user.user_lastname}}
                        </option>
                    {% endfor %}
                </select>
            </div>
        </div>
    </div>
</div>


<div class="card">

    <div class="card-header"></div>

    <div id="calendar" class="card" style="width:70%; margin:0 auto;"></div>

    <br><br><br>

    <!-- Add event -->
    <div class="modal fade" id="addNew-event" data-backdrop="static" data-keyboard="false">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title">Adicionar actividad/reunión (Calendario Genérico)</h4>
                </div>
                <div class="modal-body">
                    <div id="modal-msg" style="display: none"></div>
                    <form id="new-calendar" class="addEvent" role="form">                        

                        <div class="form-group">
                            <div class="fg-line">
                                <label class="control-label" for="milestone_title">Título del Evento</label>
                                <input type="text" class="input-sm form-control" id="milestone_title"  name="title" placeholder="Ej. Reunión">
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="fg-line">
                                <label class="control-label" for="milestone_detail">Descripción Evento</label>
                                <input type="text" class="input-sm form-control" id="milestone_detail" name="detail" placeholder="Ej. Preparar presupuesto">
                            </div>
                        </div>

                        <div class="row palette-Light-Blue bg" style="padding: 10px 0; margin-bottom: 20px">
                            <div class="col-lg-4 col-md-4 col-sm-4 col-sx-4">
                                <div class="form-group">
                                    <div class="fg-line">
                                        <label class="control-label palette-White text" for="milestone_date"><strong>Fecha Evento</strong></label>
                                        <input type="text" class="input-sm form-control date-picker-calendar text-center" id="milestone_date" name="date" placeholder="Ej. 13/4/2018">
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-4 col-md-4 col-sm-4 col-sx-4">
                                <div class="form-group">
                                    <div class="fg-line">
                                        <label class="control-label palette-White text" for="milestone_start_time"><strong>Hora Inicio</strong></label>
                                        <input type="text" class="input-sm form-control time-picker text-center" id="milestone_start_time" name="start_time" placeholder="Ej. 17:00">
                                    </div>
                                </div>
                            </div>

                            <div class="col-lg-4 col-md-4 col-sm-4 col-sx-4">
                                <div class="form-group">
                                    <div class="fg-line">
                                        <label class="control-label palette-White text" for="milestone_start_time"><strong>Hora Fin</strong></label>
                                        <input type="text" class="input-sm form-control time-picker text-center" id="milestone_end_time" name="end_time" placeholder="Ej. 17:30">
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="fg-line">
                                <label class="control-label" for="client_id">Cliente</label>
                                <select class="selectpicker bs-select-hidden" data-live-search="true" id="client_id" name="client_id" title="Selecciona..." required>
                                    {% for customer in customers %}
                                        <option value="{{customer.client_id}}">
                                            {{customer.client_businessname|convert_encoding('UTF-8', 'ISO-8859-1')}}
                                        </option>
                                    {% endfor %}
                                </select>
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="fg-line">
                                <label class="control-label" for="add_contact">Agregar contactos</label>
                                <select class="form-control chosen" id="add_contact" name="add_contact[]" data-placeholder="Ej. Leandro Cabrera" multiple>
                                    {% for contact in contacts %}
                                        <option value="{{contact.contact_id}}">{{contact.contact_name}} {{contact.contact_lastname}}</option>
                                    {% endfor %}
                                </select>
                            </div>
                        </div>
                                
                        <div class="form-group">
                            <div class="fg-line">
                                <label class="control-label" for="add_user">Agregar usuarios</label>
                                <select class="form-control chosen" id="add_user" name="add_user[]" data-placeholder="Ej. Carlos Vidaurre" multiple>
                                    {% for user in users_select %}
                                        <option value="{{user.user_id}}">{{user.user_name}} {{user.user_lastname}}</option>
                                    {% endfor %}
                                </select>
                            </div>
                        </div>
                                
                        <div class="row">
                            <div class="col-lg-12 col-md-12 col-sm-12 col-sx-12">
                                <div class="view-edit">
                                    <div class="form-group">
                                        <label class="checkbox checkbox-inline m-r-20">
                                            <input type="checkbox" name="my_calendar" checked>
                                            <i class="input-helper"></i> Agregar a mi calendario personal
                                        </label>
                                    </div>

                                    <div class="form-group">
                                        <label class="checkbox checkbox-inline m-r-20">
                                            <input type="checkbox" name="send_calendar" id="send_calendar">
                                            <i class="input-helper"></i> Envíar Cita
                                        </label>
                                    </div>

                                    <div class="col-lg-12 col-md-12 col-sm-12 col-sx-12">
                                        <div class="form-group send_to" style="display:none">
                                            <div class="fg-line">
                                                <label class="control-label" for="send_to">Agregar destinatario</label>
                                                <input type="text" class="input-sm form-control" id="send_to" name="send_to" placeholder="Ej. flor@gmail.com, seba@hotmail.com">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <input type="hidden" name="type" value="calendar" />
                        <input type="hidden" id="getStart" />
                        <input type="hidden" id="getEnd" />
                        <input type="hidden" name="user_id" id="modal_user_id" />
                        <input type="hidden" name="milestone_id" id="milestone_id" />
                    </form>
                </div>

                <div class="modal-footer">
                    <button type="submit" class="btn btn-primary btn-sm view-edit" id="addEvent">Crear Evento</button>
                    <button type="button" class="btn btn-default btn-sm" id="closeEvent" data-dismiss="modal">Cerrar</button>
                </div>
            </div>
        </div>
    </div>

</div>
<!-- ////////////////////// END-CALENDAR ////////////////////////////// -->